SimpleXMLIterator::current
SimpleXMLIterator::hasChildren
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::getChildren

Returns the sub-elements of the current element

### Description

public SimpleXMLIterator SimpleXMLIterator::getChildren ( void )

This method returns a SimpleXMLIterator object containing sub-elements of the current SimpleXMLIterator element.

### Parameters

This function has no parameters.

### Return Values

Returns a SimpleXMLIterator object containing the sub-elements of the current element.

### Examples

Example #1 Return the sub-elements of the current element

`<?php
$xml = <<<XML
<books>
<book>
<title>PHP Basics</title>
<author>Jim Smith</author>
</book>
<book>XML basics</book>
</books>
XML;
$xmlIterator = new SimpleXMLIterator($xml);
for( $xmlIterator->rewind(); $xmlIterator->valid(); $xmlIterator->next() ) {
foreach($xmlIterator->getChildren() as $name => $data) {
echo "The $name is '$data' from the class " . get_class($data) . "\n";
}
}
?>`

The above example will output:

    The title is 'PHP Basics' from the class SimpleXMLIterator
    The author is 'Jim Smith' from the class SimpleXMLIterator